commit:     a5b286aa8ff504931c0b582821064c8bc32ff539
Author:     François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Sat Jan 16 01:53:57 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sat Jan 16 02:03:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5b286aa

sci-libs/amd: fix bashism in doc building

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Bug: https://bugs.gentoo.org/760408
Signed-off-by: François René Pierre Bissey <frp.bissey <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/amd/amd-2.4.6-r1.ebuild            | 42 +++++++++++++++++++++++++++++
 sci-libs/amd/files/amd-2.4.6-dash_doc.patch | 16 +++++++++++
 2 files changed, 58 insertions(+)

diff --git a/sci-libs/amd/amd-2.4.6-r1.ebuild b/sci-libs/amd/amd-2.4.6-r1.ebuild
new file mode 100644
index 00000000000..f03f2eaa63d
--- /dev/null
+++ b/sci-libs/amd/amd-2.4.6-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools fortran-2
+
+DESCRIPTION="Library to order a sparse matrix prior to Cholesky factorization"
+HOMEPAGE="https://people.engr.tamu.edu/davis/suitesparse.html";
+SRC_URI="http://202.36.178.9/sage/${P}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="doc fortran"
+
+BDEPEND="virtual/pkgconfig
+       doc? ( virtual/latex-base )"
+DEPEND=">=sci-libs/suitesparseconfig-5.4.0"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.4.6-dash_doc.patch )
+
+src_prepare(){
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-static \
+               $(use_enable fortran) \
+               $(use_with doc)
+}
+
+src_install() {
+       default
+
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/sci-libs/amd/files/amd-2.4.6-dash_doc.patch 
b/sci-libs/amd/files/amd-2.4.6-dash_doc.patch
new file mode 100644
index 00000000000..62d9071422c
--- /dev/null
+++ b/sci-libs/amd/files/amd-2.4.6-dash_doc.patch
@@ -0,0 +1,16 @@
+diff --git a/Doc/Makefile.am b/Doc/Makefile.am
+index 44361ff..039b02f 100644
+--- a/Doc/Makefile.am
++++ b/Doc/Makefile.am
+@@ -1,9 +1,8 @@
+ 
+ AMD_UserGuide.pdf:
+-      echo '\begin{verbatim}' > amd_h.tex
++      printf '\\begin{verbatim}\n' > amd_h.tex
+       expand -8 $(top_srcdir)/Include/amd.h >> amd_h.tex
+-      echo '\end{verbatim}' >> amd_h.tex
+-      -ln -s $(srcdir)/*.{tex,bib} .
++      printf '\\end{verbatim}\n' >> amd_h.tex
+       $(PDFLATEX) AMD_UserGuide
+       $(BIBTEX)  AMD_UserGuide
+       $(PDFLATEX) AMD_UserGuide

Reply via email to